Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customer Contact

CustomerContact

List contacts for a customer

get
/tenants/{tenantUid}/customers/{customerUid}/contacts

List contacts for a customer

Required permission: TENANT.ACCESS

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/customers/{customerUid}/contacts
GET /v2/tenants/{tenantUid}/customers/{customerUid}/contacts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "firstname": "text",
      "lastname": "text",
      "email": "text",
      "mobile": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "customerContactUid": "text",
      "extensions": [
        {
          "extensionCode": "TWO_INVOICE",
          "organizationUid": "text"
        }
      ],
      "displayName": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Add a contact for a customer

post
/tenants/{tenantUid}/customers/{customerUid}/contacts

Add a contact for a customer. Partial updates are allowed.

Required permission: TENANT.ACCESS

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

CustomerContactCreateSchema

firstnamestringRequired
lastnamestringRequired
emailstringOptional
mobilestringOptional
customerContactUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
post/tenants/{tenantUid}/customers/{customerUid}/contacts
POST /v2/tenants/{tenantUid}/customers/{customerUid}/contacts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "customerContactUid": "text"
}
200

Example response

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "displayName": "text"
}

Get contact details for a customer

get
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}

Get contact details for a customer

Required permission: TENANT.ACCESS

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
get/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}
GET /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "displayName": "text"
}

Update contact details for a customer

put
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}

Update contact details for a customer. Partial updates are allowed.

Required permission: TENANT.ACCESS

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Body

CustomerContactUpdateSchema

firstnamestringOptional
lastnamestringOptional
emailstringOptional
mobilestringOptional
Responses
200

Example response

application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
put/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}
PUT /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text"
}
200

Example response

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "displayName": "text"
}

Delete a contact for a customer

delete
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}

Delete a contact for a customer.

Required permission: TENANT.BACKOFFICE

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}
DELETE /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Add extension to a customer contact

post
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode}

Add extension to a customer contact

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
customerExtensionCodestring · enumRequired
ENUM Description
TWO_INVOICE The Two Invoice extension.
Possible values:
Body
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
post/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode}
POST /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "storeUid": "text"
}
200

Example response

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "displayName": "text"
}

Delete extension from a customer contact

delete
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode}

Delete extension from a customer contact

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
customerExtensionCodestring · enumRequired
ENUM Description
TWO_INVOICE The Two Invoice extension.
Possible values:
Body
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode}
DELETE /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "storeUid": "text"
}
204

No Content

No content

Last updated

Was this helpful?